# Contributing to Vitess

## Before you contribute

### Individual contributor

Before we can use your code, you must sign the
[Google Individual Contributor License Agreement](https://cla.developers.google.com/about/google-individual)
(CLA), which you can do online. The CLA is necessary mainly because you own the
copyright to your changes, even after your contribution becomes part of our
codebase, so we need your permission to use and distribute your code. We also
need to be sure of various other things—for instance that you'll tell us if you
know that your code infringes on other people's patents. You don't have to sign
the CLA until after you've submitted your code for review and a member has
approved it, but you must do it before we can put your code into our codebase.

### Corporate contributor

Contributions made by corporations are covered by a different agreement than
the one above, the
[Software Grant and Corporate Contributor License Agreement](https://cla.developers.google.com/about/google-corporate).

## Workflow

For all contributors, we recommend the standard [GitHub flow](https://guides.github.com/introduction/flow/)
based on [forking and pull requests](https://guides.github.com/activities/forking/).

For significant changes, please [create an issue](https://github.com/vitessio/vitess/issues)
to let everyone know what you're planning to work on, and to track progress and design decisions.

## Guidance for Novice Vitess Developers

**Please read [vitess.io/contributing/](http://vitess.io/contributing/)** where we provide more information:

* How to make yourself familiar with Go and Vitess.
* How to go through the GitHub workflow.
* What to look for during code reviews.

